# medz/plugs/write.py
#
#

""" commenting. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from medz.utils.time import short_date, ftime
from medz.utils.mail import parse_email
from medz.errors import error
from medz.utils.url import get_url
from medz.utils.join import j

from medz.runtime import kernel
from medz import Thing

import email.message
import datetime
import mailbox
import socket
import email
import time
import os

## CMNDS

def write_add(event):
    o = Thing()
    key = event.parsed.args[0]
    if key in dir(o): event.reply("%s already defined in default Thing" % key) ; return
    o.prefix = "log"
    o[key] = " ".join(event.parsed.args[1:])
    path = o.save()
    event.ok()

kernel.register("write.add", write_add)

def write_comment(event):
    objs = event.selected()
    if not objs: return
    obj = objs[0]
    if "comment" not in obj: obj.comment = []
    obj.comment.append(" ".join(event.args[2:]))
    obj.sync()

kernel.register("write.comment", write_comment)

