# medz/plugs/read.py
#
#

""" commenting. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from medz.utils.time import short_date, ftime
from medz.utils.mail import parse_email
from medz.utils.url import get_url
from medz.runtime import kernel
from medz.errors import error
from medz.utils.join import j
from medz import Thing

import email.message
import datetime
import mailbox
import socket
import email
import time
import os

## CMNDS

def read_mbox(event):
    try: fn = os.path.expanduser(event.args[0])
    except: return
    nr = 0
    if os.path.isdir(fn): thing = mailbox.Maildir(fn, create=False)
    elif os.path.isfile(fn): thing = mailbox.mbox(fn, create=False)
    else: event.reply("need a mbox or maildir.") ; return
    for m in thing:
        o = Thing()
        o.update(m.items())
        try: sdate = os.sep.join(short_date(o.Date).split())
        except AttributeError: sdate = None
        o.text = ""
        for load in m.walk():
            if load.get_content_type() == 'text/plain': o.text += load.get_payload()
        o.text = o.text.replace("\\n", "\n")
        o.prefix = "email"
        if sdate: o.save(sdate)
        else: o.save()
        nr += 1
    if nr: event.ok(nr)

kernel.register("read.mbox", read_mbox)

def read_copy(event):
    rest = event.parsed.rest
    if not rest: return
    try: result = get_url("GET", rest + "/all").read()
    except socket.gaierror as ex: event.reply(str(ex)) ; return
    obj_list = json.loads(str(result, "utf-8"))
    for nr, url in obj_list.items():
        res = haal_url("GET", url).read()
        obj = json.loads(str(res, "utf-8"))
        o = Thing()
        o.update(obj)
        o.save()

kernel.register("read.copy", read_copy)
